### Function

# Gcr SystemPrompt open

#### Declaration [src]

    GcrPrompt*
    gcr_system_prompt_open (
      gint timeout_seconds,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Opens a system prompt with the default prompter.

Most system prompters only allow showing one prompt at a time, and if another prompt is shown then this method will block for up to `timeout_seconds` seconds. If `timeout_seconds` is equal to -1, then this will block indefinitely until the prompt can be opened. If `timeout_seconds` expires, then this function will fail with a `GCR_SYSTEM_PROMPT_IN_PROGRESS` error.

#### Parameters

`timeout_seconds` | `gint`
| The number of seconds to wait to access the prompt, or -1
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GcrSystemPrompt`
| The prompt, or `NULL` if prompt could not be opened.
| The caller of the function takes ownership of the data, and is responsible for freeing it.